/* sigpendi.c (rsxnt) -- Copyright (c) 1996-1997 Rainer Schnitker */

#include "rsxnt.h"

int __sigpending(sigset_t *_set)
{
    EMXPROCESS *proc = _rsxnt_get_process_ptr();
    sigset_t set = proc->sig_blocked & proc->sig_raised;

    *_set = set;
    return 0;
}
